package com.cultural.heritage.model.vo.good;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serial;
import java.io.Serializable;


@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GoodLogisticsInfoVO implements Serializable {

    /**
     * 商品名
     */
    private String goods_name;


    /**
     * 商品图片
     */
    private String goods_img_url;


    @Serial
    private static final long serialVersionUID = 1L;
}
