package com.cultural.heritage.service.book;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.dto.photoProducts.PhotoProductsQueryRequest;
import com.cultural.heritage.model.entity.PhotoProducts;

public interface PhotoProductsService extends IService<PhotoProducts> {

    /**
     * 校验
     */
    void validPhotoProducts(PhotoProducts photoProducts, boolean update);


    /**
     * 获取查询条件
     */
    QueryWrapper<PhotoProducts> getQueryWrapper(PhotoProductsQueryRequest photoProductsQueryRequest);
}
